.App {
  font-family: 'Montserrat', sans-serif;
  min-height: 100vh;
  /*color: #CC5803; */
  background-color: #f5efe0;
}

.body {
  margin: 3em;
}

.h1 {
  margin-bottom: 0px
}

div.wrap {
  padding-bottom: 1em
}

.button {
  background-color: #181F27;
  border: none;
  color: white;
  padding: 2.2vh;
  padding-left: 3vw;
  padding-right: 3vw;
  text-align: center;
  text-decoration: none;
  font-size: 1.5vw;
  margin: 1vh;
  border-radius: 45vw;
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease 0s;
  cursor: pointer;
  outline: none;
  }

.button:hover {
  background-color: #fcd953;
  box-shadow: 0px 15px 20px #9b8a46;
  color:  #181F27;
  transform: translateY(-7px); 
}

/* .button {
  background-color: #181F27; 
  padding: 0.8em;
  font-family: 'Montserrat', sans-serif;
  color:  white;
  font-size: 0.8em;
  font-weight: 600; 
  border-radius: 2em;
  text-shadow: 2px 2px 5px #181F27;
} */

.button:hover {
  opacity: 90%;
}

/* ================= NAVBAR ================= */

.logo {
  height: 5vh;
  padding: 1vh
}

.logo:hover, .logo:active {
  opacity: 80%
}

.nav {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  background-color:  #f5efe0;
  text-align: center
}

.loggedinNav {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  background-color:  #f5efe0;
  text-align: center
}

@media all and (max-width: 600px){

  .nav, .loggedinNav {
      display: flex;
      flex-direction: column;
      line-height: 2;
      align-items: flex-end;
      font-size: 0.9em;
      line-height: 1em;
      padding-right: 5vw
  }

  .mobile {
      display: block;
  }
  .desktop {
      display: none;
  }
}


.navText {
  color: #181F27;
  text-decoration: none;
  padding-top: 0.6em
}

.navText:hover {
  color: #fcd953;
}

.blueText {
  color: #181F27;
  font-size: x-large;
}

#username {
  color: #fcd953;
  margin: 0px
}
#username:active {
  color: #181F27;
}

/* ================= HOME ================= */

.homeBody {
  margin: 3em;
}

.boox {
  text-align: center;
  width: 40vw;
  padding-bottom: 1em
}

/* .boox:hover {
  color: #fcd953
} */

.headerContent {
  padding: 3em;
  text-align: center
}

.hometitle {
  padding-bottom: 5vh;
  padding-top: 5vh;
}

.homeButton {
  padding-top: 10em;
  color: #fcd953
}

.arrow {
  height: 2vh;
  padding-top: 1vh
}

/* .whiteText {
  color: white
} */

.illustrations {
  position: center;
  text-align: center
} 

.images {
  width: 15vw
}

.images:hover {
  opacity: 70%;
  transform: translateY(-7px); 
} 

.howItWorks {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin-top: 3em;
  padding-bottom: 7vh
}



@media all and (max-width: 800px){
  .howItWorks {
      grid-template-columns: 1fr 1fr;
  }
  .desktop {
      display: none;
  }
}

@media all and (max-width: 500px){
  .howItWorks {
      grid-template-columns: 1fr;
  }
  .desktop {
      display: none;
  }
}


.title {
  text-align: center;
  color: #181F27;
  font-size: 2.5em;
  padding-bottom: 5vh;
}

.instructionText {
  color: #181F27;
  text-align: center;
  font-size: 1.5em;
  margin-bottom: 0px; 
}

.subtext {
  font-size: 0.7em;
}
.padding {
  padding-top: 0.2em
}



/* ================= FILTER QUESTIONS PAGE ================= */

#SpinNowButton {
  text-decoration: none;
  color: rgb(190, 143, 0);
  float: right;
  padding-right: 1em
}
.skipQuetionsText {
  font-size: 0.6em;
  margin-top: 0.5em
}

input {
  background-color: #f5efe0;
  border-radius: 20px;
  border: solid 1px #181F27;
  width: 10vw;
  height: 5vh;
  size: 20px;
  font-size: 1em; 
  padding-left: 1vw;
}

/* ================= SPINNER PAGE ================= */

.spinAgain {
  text-align:center;
}

.spinner {
  position: absolute;
  z-index: 15;
  top: 50%;
  left: 50%;
  margin: -100px 0 0 -150px;
  width: 300px;
  height: 300px;
  background: rgb(255,247,215);
  background: linear-gradient(232deg, rgba(255,247,215,1) 17%, rgba(252,217,83,1) 100%);
  animation-name: spin;
  animation-duration: 800ms;
  animation-iteration-count: 35;
  animation-timing-function: linear; 
  border-radius: 20px
  /* transform: rotate(3deg); */
   /* transform: rotate(0.3rad);/ */
   /* transform: rotate(3grad); */ 
   /* transform: rotate(.03turn);  */
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}

.design {
  height: 50vh;
  float: right;
  padding-top: 50vh
}

.MuiCheckbox-colorPrimary{
  color: #fcd953;
}

/* ================= BOOK DISPLAY PAGE ================= */

.bookCovers {
  height: 60vh;
  width: auto;
  border-radius: 20px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.bookCovers:hover {
  opacity: 80%;
  
}

.left{
  float: left;
  position: fixed;
  top: 50%;
  left: 20%;
  transform: translate(-50%, -50%);
}

.right{
  float: right;
  position: fixed;
  top: 50%;
  right: 20%;
  transform: translate(50%, -50%);
}


/* .bookContainer {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
} */

/* ================= BOOKSHELF PAGE ================= */

.bigTitle {
  font-size: 9em;
  margin-bottom: 0px;
  margin-top: 0px;
  color: 	#fcd953; 
  text-align: center
}

.bookshelf {
  text-align: center
}

.bookshelfTitle {
  font-size: 3em;
  font-weight: 200;
  margin-top: 0;
  color: #181F27
}

.collection {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
  padding-top: 2em;
  padding-bottom: 1em
}

.title2 {
  font-weight: 100;
  color: #181F27
}

.masonry { /* Masonry container */
  column-count: 3;
  column-gap: 1em;
}

.masonry1 {
  column-count: 1;
}

.masonry2 {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.galleryBook { /* Masonry bricks or child elements */
  background-color: #eee;
  border-radius: 20px;
  display: inline-block;
  margin: 0 0 1em;
  width: 100%;
}

.galleryBook:hover {
  opacity: 70%
} 

/* ================= LOGIN PAGE ================= */

.enterPassword {
  width: 10vw
}

.showBtn {
  text-decoration: none;
  color: #fcd953;
}

/* ================= FOOTER ================= */

.footerDiv {
  display: block
}

.socialIcons {
  text-align: center;
  padding-bottom: 5em
}

.fa-facebook-f:before, .fa-instagram:before {
  margin: 0px 6px;
}

.fa-facebook-f:before:hover, .fa-instagram:before:hover {
  opacity: 80%;
}

/* ================= POPUP ================= */

.modal {
  font-size: 12px;
  background-color: #f5efe0;
  height: 200%
}
.modal > .header {
  width: 100%;
  font-size: 10vw;
  text-align: center;
  padding: 5px;
  line-height: 0.9;
  padding-bottom: 5vh;
  padding-top: 5vh;
  color: #fcd953;
  font-weight: bold;
}
.modal > .content {
  width: 100%;
  padding: 10px 5px;
}
.modal > .actions {
  width: 100%;
  margin: auto;
  text-align: center;
  justify-content: center;
  align-items: center;
  padding-bottom: 5vh;
}
.modal > .close {
  cursor: pointer;
  position: absolute;
  display: block;
  padding: 2px 5px;
  line-height: 20px;
  right: -10px;
  top: -10px;
  font-size: 24px;
  background: #ffffff;
  border-radius: 18px;
  border: 1px solid #cfcece;
}

.paragraph {
  font-size: 1.5vw;
  margin: 1vh
}


